﻿using System.Data.Entity;
using Model.A;

namespace DBaccess.A
{
    public class Context : DbContext
    {
        public Context()
        {
            //this.Configuration.AutoDetectChangesEnabled = false;
            //this.Configuration.LazyLoadingEnabled = true;
            //this.Configuration.ProxyCreationEnabled = false;
            //this.Configuration.ValidateOnSaveEnabled = false;
        }

        public DbSet<Teacher> Teacher { get; set; }
        public DbSet<Contact> Contact { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Teacher>()
                .Ignore(o => o.Contact);          //Teacher中的Contact不映射到数据库中
        }     
    }
}
