﻿using System.Collections.Generic;
using System.Web.Mvc;
using Model.A;
using Service;
using System;

namespace MVC_Test.Controllers
{
    public class TeacherController : Controller
    {
        private readonly Teacher_S service = new Teacher_S();

        public ActionResult Index()
        {
            IList<Teacher> teacher = service.FindAllTeacher() as IList<Teacher>;
            return View(teacher);
        }

        //
        // GET: /Teacher/Details/5

        public ActionResult Details(int id)
        {
            return View();
        }

        //
        // GET: /Teacher/Create

        public ActionResult Create()
        {
            return View();
        } 

        //
        // POST: /Teacher/Create

        [HttpPost]
        public ActionResult Create(FormCollection collection)
        {
            try
            {
                Teacher teacher = new Teacher();
                TryUpdateModel(teacher, collection);
                teacher.ID = Guid.NewGuid();
                teacher.Contact.ID = Guid.NewGuid();
                teacher.Contact.TeacherID = teacher.ID;
                teacher.Contact.CreateTime = DateTime.Now;

                service.AddTeacher(teacher, teacher.Contact);

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }
        
        //
        // GET: /Teacher/Edit/5
 
        public ActionResult Edit(int id)
        {
            return View();
        }

        //
        // POST: /Teacher/Edit/5

        [HttpPost]
        public ActionResult Edit(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add update logic here
 
                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        //
        // GET: /Teacher/Delete/5
 
        public ActionResult Delete(int id)
        {
            return View();
        }

        //
        // POST: /Teacher/Delete/5

        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add delete logic here
 
                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }
    }
}
