﻿#region NameSpace
#define A
#if B
using Model.B;
using DBaccess.B;
#endif
#if A
using Model.A;
using DBaccess.A;
#endif
#endregion
using System.Collections.Generic;

namespace Factory
{
    public class ModelFactory
    {
        public static Teacher GetTeacher()
        {
            return new Teacher();
        }       

        public static Contact GetContact()
        {
            return new Contact();
        }   
    }

    public class ModelListFactory
    {
        public static IList<Teacher> GetTeacherList()
        {
            return new List<Teacher>();
        }

        public static IList<Contact> GetContactList()
        {
            return new List<Contact>();
        }
    }

    public class ContextFactory
    {
        public static Context GetContext()
        {
            return new Context();
        }
    }
}